Tspi_SetAttribData(3)

NAME
Tspi_SetAttribData - set a non 32bit attribute of an object.

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_SetAttribData(TSS_HOBJECT hObject, TSS_FLAG attribFlag,
                              TSS_FLAG    subFlag, UINT32   ulAttribDataSize,
                              BYTE*       rgbAttribData);

DESCRIPTION

Tspi_SetAttribData sets the attributes associated with a given class of object that aren't UINT32. The structure and size of hte attribute data depends on the attribute.

PARAMETERS

  hObject
Handle of the object where the attribute is to be set.

  attribFlag
Flag indicating the attribute to set.

  subFlag
Sub flag indicating the attribute to set

  ulAttribDataSize
Supplies the length (in bytes) of the rgbAttribData.

  rgbAttribData
Pointer to the actual data which is to be set for the specified attribute.

RETURN CODES

Tspi_SetAttribData returns TSS_SUCCESS on success, otherwise one of the following values are returned:

TSS_E_INVALID_HANDLE - hObject is an invalid parameter.

TSS_E_ATTRIB_FLAG - attribFlag is an invalid parameter.

TSS_E_ATTRIB_SUBFLAG - subFlag is an invalid parameter.

TSS_E_ATTRIB_DATA - rgbAttribData is an invalid parameter.

TSS_E_BAD_PARAMETER

TSS_E_INTERNAL_ERROR - An error occurred internal to the TSS.

CONFORMING TO

Tspi_SetAttribData conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_GetAttribData(3).